package com.app.paintingstool.myact;

import android.content.Intent;
import android.os.Bundle;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;

import com.app.paintingstool.databinding.ActivityMainBinding;

public class MainActivity extends AppCompatActivity {
    private ActivityMainBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        binding = ActivityMainBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        onClicklister();
    }

    private void onClicklister() {
        binding.painting.setOnClickListener(v -> {
            Intent intent = new Intent(MainActivity.this, PaintingActivity.class);
            startActivity(intent);
        });
        binding.setting.setOnClickListener(v -> {
            Intent intent = new Intent(MainActivity.this, SettingActivity.class);
            startActivity(intent);
        });
        binding.imgImport.setOnClickListener(v -> {
            Intent intent = new Intent(MainActivity.this, ImporImageActivity.class);
            startActivity(intent);
        });
        binding.love.setOnClickListener(v -> {
            Intent intent = new Intent(MainActivity.this, LoveActivity.class);
            startActivity(intent);
        });

    }
}